# vim: set sw=4 ts=4 et:

Name:           dvdrip
Summary:        Dvdrip - perl frontend for transcode
Summary(de):    Dvdrip - Perl-Frontend für transcode
Version:        0.98.11
Release:        pm152.10.2
License: GPL-2.0
Group:          Productivity/Multimedia/Video/Editors and Convertors
URL:            http://www.exit1.org/dvdrip/
# http://www.exit1.org/dvdrip/dist/dvdrip-%{version}.tar.gz
Source0:        dvdrip-%{version}.tar.bz2
Patch0:         dvdrip-SuSE.dif
Source99:       %{name}-rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libspeex-devel libspeex1
BuildRequires:  libquicktime-devel
BuildRequires:  libmpeg2-devel libmpeg2-0
BuildRequires:  transcode >= 1.1.0
BuildRequires:  perl >= 5.6.0
BuildRequires:  perl(Gtk2) >= 1.121
BuildRequires:  perl(Gtk2::Ex::FormFactory) >= 0.65
BuildRequires:  perl(Locale::TextDomain) >= 1.16
BuildRequires:  perl(Event) >= 1.06
BuildRequires:  perl(Event::ExecFlow) >= 0.64
BuildRequires:  perl(Event::RPC) >= 0.89
BuildRequires:  perl(AnyEvent) >= 1.02
BuildRequires:  procps
BuildRequires:  xvid4conf >= 1.6
BuildRequires:  ogmtools >= 1.0
BuildRequires:  update-desktop-files
Requires:       perl = %{perl_version}
Requires:       perl(Gtk2) >= 1.121
Requires:       perl(Gtk2::Ex::FormFactory) >= 0.65
Requires:       perl(Locale::TextDomain) >= 1.16
Requires:       perl(Event) >= 1.06
Requires:       perl(Event::ExecFlow) >= 0.64
Requires:       perl(Event::RPC) >= 0.89
Requires:       perl(AnyEvent) >= 1.02
Requires:       procps
Requires:       transcode >= 1.1.0
Requires:       ImageMagick >= 4.0.0
Requires:       subtitleripper >= 0.3
Requires:       mjpegtools >= 1.6.2
Requires:       cdrdao >= 1.1.7
Requires:       vcdimager >= 0.7.20
Requires:       /usr/bin/mkisofs
Requires:       xine-ui >= 0.9.13
Requires:       fping >= 2.2
Requires:       xvid4conf >= 1.6
Requires:       ogmtools >= 1.0
Recommends:     /usr/bin/cdrecord
Recommends:     ffmpeg
Recommends:     lsdvd
Recommends:     rar
Obsoletes:      Video-DVDRip < %{version}-%{release}
Provides:       Video-DVDRip = %{version}-%{release}
Provides:       perl-Video-DVDRip = %{version}-%{release}

%description
dvd::rip is a full featured DVD copy program written in Perl.
It provides an easy to use but feature-rich Gtk+ GUI to control
almost all aspects of the ripping and transcoding process.
It uses the widely known video processing swissknife transcode
and many other Open Source tools.

%description -l de
dvd::rip ist ein mächtiges in Perl geschriebenes DVD-Kopierprogramm.
Es bietet eine einfache, aber funktionsreiche GTK+ Oberfläche um
nahezu alle Aspekte des rippen und codieren von Video-DVDs.
Es verwendet das bekannte Videoverarbeitungstool transcode und
viele andere OpenSource Programme.

%prep
%setup -q -n dvdrip-%{version}
%patch0

%build
rm -rfv perl-modules
# build without debug flag "-g", as it breaks x86_64 if = 1310
export CFLAGS="${RPM_OPT_FLAGS/%%-g/}"
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make

%install
%{__install} -d %{buildroot}/%{perl_archlib}
%perl_make_install
find "%{buildroot}%{perl_vendorlib}/" -name '*.pm' -exec %__chmod 0644 {} \;

%{__install} -d %{buildroot}%{_datadir}/pixmaps
cp lib/Video/DVDRip/icon.xpm %{buildroot}%{_datadir}/pixmaps/dvdrip.xpm
%suse_update_desktop_file -c dvdrip dvdrip "dvd::rip" dvdrip dvdrip.xpm AudioVideo AudioVideoEditing

%perl_process_packlist

%__rm -f "%{buildroot}/var/adm/perl-modules/dvdrip"

%{__rm} -rf %{buildroot}%{perl_installarchlib}/perllocal.pod
%{__rm} -f %{buildroot}%{perl_vendorlib}/Video/DVDRip/Config.pm.orig

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-, root, root)
%doc Changes COPYRIGHT Credits README TODO
%{_bindir}/dvdrip
%{_bindir}/dvdrip-exec
%{_bindir}/dvdrip-master
%{_bindir}/dvdrip-multitee
%{_bindir}/dvdrip-progress
%{_bindir}/dvdrip-replex
%{_bindir}/dvdrip-splash
%{_bindir}/dvdrip-splitpipe
%{_bindir}/dvdrip-subpng
%{_bindir}/dvdrip-thumb
%doc %{_mandir}/man1/*%{ext_man}
%doc %{_mandir}/man3/*%{ext_man}
%{_datadir}/applications/dvdrip.desktop
%{_datadir}/pixmaps/dvdrip.xpm
%dir %{perl_vendorlib}/LocaleData
%lang(cs) %{perl_vendorlib}/LocaleData/cs
%lang(da) %{perl_vendorlib}/LocaleData/da
%lang(de) %{perl_vendorlib}/LocaleData/de
%lang(es) %{perl_vendorlib}/LocaleData/es
%lang(fr) %{perl_vendorlib}/LocaleData/fr
%lang(it) %{perl_vendorlib}/LocaleData/it
%lang(sr) %{perl_vendorlib}/LocaleData/sr*
%dir %{perl_vendorlib}/Video
%{perl_vendorlib}/Video/DVDRip.pm
%{perl_vendorlib}/Video/DVDRip
%dir %{perl_vendorarch}/auto/Video
%{perl_vendorarch}/auto/Video/DVDRip

%changelog
* Sun Oct  4 2015 olaf@aepfle.de
- Recommend /usr/bin/cdrecord, ffmpeg, lsdvd and rar
* Fri Dec 26 2014 obs@botter.cc
- Require /usr/bin/mkisofs instead of just mkisofs [PM-110]
- compile withour "-g" from RPM_OPT_FLAGS, as it breaks at least
  x86_64 on 1310
* Sun Aug 22 2010 pascal.bleser@opensuse.org
- update to 0.98.11:
  * Event::ExecFlow version 0.64 is required for this version: this fixes a bug where no error messages were shown after ripping short
  * updated Danish and Catalan translation
  * turn "ripping short" error message into a warning, so the ripping process continues and it's up to the user to decide whether this is critical or not
  * fixed h264 2pass cluster mode bug, generating a malformed transcode command
* Sun Sep  6 2009 Manfred.Tremmel@iiv.de
- cleanups where rpmlint wasn't so happy
* Mon Feb 23 2009 Manfred.Tremmel@iiv.de
- Update to 0.98.10
* Sun Oct  5 2008 Manfred.Tremmel@iiv.de
- Update to 0.98.9
* Sat Aug 11 2007 Manfred.Tremmel@iiv.de
- Update to 0.98.8
* Tue Aug  7 2007 Manfred.Tremmel@iiv.de
- Update to 0.98.7
* Sat Apr 14 2007 Manfred.Tremmel@iiv.de
- Update to 0.98.6
* Sun Mar 25 2007 Manfred.Tremmel@iiv.de
- Update to 0.98.4
* Sun Nov 26 2006 Manfred.Tremmel@iiv.de
- Update to 0.98.2
* Sun Mar 19 2006 Manfred.Tremmel@iiv.de
- Update to 0.52.7
* Tue Oct 11 2005 Manfred.Tremmel@iiv.de
- some SUSE 10.0 specific changes
* Sun Jul 24 2005 Manfred.Tremmel@iiv.de
- Update to 0.52.6
* Tue May 17 2005 Manfred.Tremmel@iiv.de
- Update to 0.52.5
* Mon Mar 14 2005 Manfred.Tremmel@iiv.de
- Update to 0.52.3
* Mon Jan 10 2005 Manfred.Tremmel@iiv.de
- Update to 0.52.2
* Wed Jan  5 2005 Manfred.Tremmel@iiv.de
- Update to 0.52.0
* Mon Dec 13 2004 Manfred.Tremmel@iiv.de
- Update to 0.51.4
* Sun Dec 12 2004 Manfred.Tremmel@iiv.de
- Update to 0.51.3
* Sat Oct 30 2004 Manfred.Tremmel@iiv.de
- Update to 0.51.2
* Mon Apr 19 2004 Manfred.Tremmel@iiv.de
- Update to 0.50.18
* Mon Oct 27 2003 Manfred.Tremmel@iiv.de
- Update to 0.50.16
* Sat Oct 25 2003 Manfred.Tremmel@iiv.de
- integrated chages from Tim Fischer <tim.fischer@onlinehome.de>
  to make it compileable on SuSE 9.0
* Sat Aug 30 2003 Manfred.Tremmel@iiv.de
- Update to 0.50.15
* Sun May 25 2003 Manfred.Tremmel@iiv.de
- Update to 0.50.13
* Fri May  2 2003 Manfred.Tremmel@iiv.de
- Update to 0.50.12
* Sat Apr  5 2003 Manfred.Tremmel@iiv.de
- Update to 0.50.10
* Sat Mar  8 2003 Manfred.Tremmel@iiv.de
- Update to 0.50.8
* Tue Mar  4 2003 Manfred.Tremmel@iiv.de
- Update to 0.50.6
* Fri Feb 28 2003 Manfred.Tremmel@iiv.de
- Update to 0.50.4
* Wed Feb 19 2003 Manfred.Tremmel@iiv.de
- Update to 0.50.3
* Sat Feb 15 2003 Manfred.Tremmel@iiv.de
- Update to 0.50.1
* Sat Jan 11 2003 Manfred.Tremmel@iiv.de
- Update to 0.48.8
* Sat Dec  7 2002 Manfred.Tremmel@iiv.de
- Update from Video-DVDRip 0.48.4 to 0.48.5
* Fri Dec  6 2002 Manfred.Tremmel@iiv.de
- Update from Video-DVDRip 0.48.3 to 0.48.4
- Fix bei Anlage/Entfernen der KDE-Meneintr�e
* Wed Dec  4 2002 Manfred.Tremmel@iiv.de
- Update from Video-DVDRip 0.48.2 to 0.48.3
* Sun Dec  1 2002 Manfred.Tremmel@iiv.de
- Merge with spec-file provided by Video-DVDRip
- Added patch for SuSE-Specific changes
- Update from Video-DVDRip 0.48.1 to 0.48.2
* Sat Nov 23 2002 Manfred.Tremmel@iiv.de
- Update from Video-DVDRip 0.46 to 0.48.1
* Sun Nov  3 2002 mr.bool@rambler.ru
- Added perl_* macros to the spec file.
  (thanks to Manfred Tremmel for the straight tip!)
- rebuild for SuSE 8.0
* Sun Sep 29 2002 Manfred.Tremmel@iiv.de
- Added missing file
* Sat Sep 28 2002 Manfred.Tremmel@iiv.de
- Update to 0.46, compile for SuSE-Linux 8.1
* Sun Jul 21 2002 Manfred.Tremmel@iiv.de
- Update to 0.44
* Sat Jun 22 2002 Manfred.Tremmel@iiv.de
- Update to 0.43
* Sat Jun 15 2002 Manfred.Tremmel@iiv.de
- first build
